Bug 812907 - [abrt] bash-4.2.24-1.fc17: termsig_handler: Process /usr/bin/bash was killed by signal 5 (SIGTRAP)
[abrt] bash-4.2.24-1.fc17: termsig_handler: Process /usr/bin/bash was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
abrt_hash:0bbeea11df16c642c95ff8546a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 10:28 EDT by Mads Kiilerich
Modified: 2014-01-12 19:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:00:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.91 KB, text/plain)
2012-04-16 10:28 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2012-04-16 10:28:48 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /bin/sh /bin/os-prober
crash_function: termsig_handler
executable:     /usr/bin/bash
kernel:         3.3.1-5.fc17.i686.PAE
pid:            2265
pwd:            /root
remote_result:  NOTFOUND
time:           Mon 16 Apr 2012 04:22:53 PM CEST
uid:            0
username:       root

backtrace:      Text file, 10148 bytes

build_ids:
:63ef6aa0a2fa6f814c3afccb1486d4f7f5f5288a
:8977b8492e9b9e203c5e53dccd30adf441420b99
:48e6ce636981ad25d28c724fcc216c47761efefd
:8b8fc79f6d14471ef212188db7d5b8e916825c88
:74fdca1c4290bedcdd8ddde8b08f3077473cd819

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/system/prefdm.service
:2:cpuset:/
:1:name=systemd:/system/prefdm.service

core_backtrace:
:6b03a4d22ac49a27e3a61d9ce17943e7e74418f0 0x424 __kernel_vsyscall linux-gate.so.1 -
:8977b8492e9b9e203c5e53dccd30adf441420b99 0x2ec26 kill libc.so.6 -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x536d1 termsig_handler [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x3d4ad - [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x3e374 wait_for [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x2fa84 execute_command_internal [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x31542 execute_command [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x2e39f execute_command_internal [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x2ef80 execute_command_internal [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x31542 execute_command [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x2e3df execute_command_internal [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x31542 execute_command [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x2ece6 execute_command_internal [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x31542 execute_command [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x2e3df execute_command_internal [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x2ef80 execute_command_internal [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x31542 execute_command [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x2ece6 execute_command_internal [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x31542 execute_command [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x1a11e reader_loop [exe] -
:48e6ce636981ad25d28c724fcc216c47761efefd 0x184fa main [exe] -

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.15-32.fc17.i686 (Fedora Project) 1334053143
:/usr/lib/libc-2.15.so glibc-2.15-32.fc17.i686 (Fedora Project) 1334053143
:/usr/lib/locale/locale-archive glibc-common-2.15-32.fc17.i686 (Fedora Project) 1334053182
:/usr/lib/libdl-2.15.so glibc-2.15-32.fc17.i686 (Fedora Project) 1334053143
:/usr/lib/ld-2.15.so glibc-2.15-32.fc17.i686 (Fedora Project) 1334053143
:/usr/bin/bash bash-4.2.24-1.fc17.i686 (Fedora Project) 1332347604
:/usr/lib/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.i686 (Fedora Project) 1332253017

environ:
:HOSTNAME=dev-mk
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=100000
:USER=root
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin
:MAIL=/var/spool/mail/root
:PWD=/root
:LANG=en_US.UTF-8
:HISTCONTROL=erasedups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HOME=/root
:SHLVL=1
:LOGNAME=root
:CVS_RSH=ssh
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:DISPLAY=:0
:XAUTHORITY=/root/.xauthiyrRmt
:OS_PROBER_NEWNS=1

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 47844                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       47844                47844                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:08047000-0811d000 r-xp 00000000 08:03 413433     /usr/bin/bash
:0811d000-0811e000 r--p 000d5000 08:03 413433     /usr/bin/bash
:0811e000-08123000 rw-p 000d6000 08:03 413433     /usr/bin/bash
:08123000-08128000 rw-p 00000000 00:00 0 
:0890c000-0892d000 rw-p 00000000 00:00 0          [heap]
:41858000-41875000 r-xp 00000000 08:03 416431     /usr/lib/libtinfo.so.5.9
:41875000-41877000 r--p 0001c000 08:03 416431     /usr/lib/libtinfo.so.5.9
:41877000-41878000 rw-p 0001e000 08:03 416431     /usr/lib/libtinfo.so.5.9
:4f0da000-4f0f9000 r-xp 00000000 08:03 410551     /usr/lib/ld-2.15.so
:4f0f9000-4f0fa000 r--p 0001e000 08:03 410551     /usr/lib/ld-2.15.so
:4f0fa000-4f0fb000 rw-p 0001f000 08:03 410551     /usr/lib/ld-2.15.so
:4f101000-4f2aa000 r-xp 00000000 08:03 410647     /usr/lib/libc-2.15.so
:4f2aa000-4f2ac000 r--p 001a8000 08:03 410647     /usr/lib/libc-2.15.so
:4f2ac000-4f2ad000 rw-p 001aa000 08:03 410647     /usr/lib/libc-2.15.so
:4f2ad000-4f2b0000 rw-p 00000000 00:00 0 
:4f2ce000-4f2d1000 r-xp 00000000 08:03 411778     /usr/lib/libdl-2.15.so
:4f2d1000-4f2d2000 r--p 00002000 08:03 411778     /usr/lib/libdl-2.15.so
:4f2d2000-4f2d3000 rw-p 00003000 08:03 411778     /usr/lib/libdl-2.15.so
:b7513000-b7713000 r--p 00000000 08:03 565853     /usr/lib/locale/locale-archive
:b7713000-b7715000 rw-p 00000000 00:00 0 
:b7728000-b772a000 rw-p 00000000 00:00 0 
:b772a000-b7731000 r--s 00000000 08:03 415535     /usr/lib/gconv/gconv-modules.cache
:b7731000-b7732000 rw-p 00000000 00:00 0 
:b7732000-b7733000 r-xp 00000000 00:00 0          [vdso]
:bf915000-bf936000 rw-p 00000000 00:00 0          [stack]

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	02
:1:/dev/pts/0
:pos:	0
:flags:	02
:2:/dev/pts/0
:pos:	0
:flags:	02

var_log_messages:
:Apr 16 16:04:42 dev-mk gnome-session[11897]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Apr 16 16:07:24 dev-mk gnome-session[1018]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Apr 16 16:22:54 dev-mk abrt[2462]: Saved core dump of pid 2265 (/usr/bin/bash) to /var/spool/abrt/ccpp-2012-04-16-16:22:53-2265 (421888 bytes)
Comment 1 Mads Kiilerich 2012-04-16 10:28:52 EDT
Created attachment 577731 [details]
File: backtrace
Comment 2 Roman Rakus 2012-04-16 11:09:24 EDT
Can you please provide some steps to reproduce?
Comment 3 Mads Kiilerich 2012-04-16 17:05:58 EDT
I think what happened was that os-prober was hanging and I killed it with -9. I did it several times, but I did apparently only get this crash once, so I guess it is some kind of race?
Comment 4 Fedora End Of Life 2013-07-03 23:02:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 06:00:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.